Subject: Re: pager stuff

From: Dominik Vogt <[email-masked]>
Date: Fri, 13 Aug 1999 16:49:15 +0200

On Fri, Aug 13, 1999 at 02:43:24PM +0300, [email-masked] wrote:
> I like the 3d look of pager windows. IMHO, it may be a default.
> I think they can be 3d for negative WindowBorderWidth even without
> WindowColorsets specified as man page says (window back color is taken).

Oh, please, no fancy interpretations of negative values anymore.
If we need a 3d look there has to be a 3d option.

> If the pager window is one point tall or wide, it is all hilighted (white)
> or of a border color (if not 3d). Maybe it is better to paint it in the
> window back color instead for this case?

Yes, that's exactly what annoys me. The same applies to windows that
are only two pixels tall or wide.

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 14 Aug 1999 18:18:30 +0300 (IDT)

> are only two pixels tall or wide.

On the second thought, it would be bad to paint it in the window back
color, this will hide all small windows, which lie on (and inside) another
window. Now they are at least not hiden in this situation.

And I definitely want windows that two pixels or more tall or wide be 3d -
hilite & shadow colors are not random, they are built from the back color.

Maybe the better solution for one pixel windows is to force them to be two
pixels minimum? This also seems to be better for non-3d case in order not
to hide one pixel windows on a border of another window; although this
does not help for WindowBorder greater than 1 - the reason to use 3d. :)

Regards,
Mikhael.